// Code generated by go-swagger; DO NOT EDIT.

package restapi

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"encoding/json"
)

var (
	// SwaggerJSON embedded version of the swagger document used at generation time
	SwaggerJSON json.RawMessage
	// FlatSwaggerJSON embedded flattened version of the swagger document used at generation time
	FlatSwaggerJSON json.RawMessage
)

func init() {
	SwaggerJSON = json.RawMessage([]byte(`{
  "schemes": [
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "description": "VMDAP API for manage virtual machine deployment",
    "title": "VMDAP API",
    "version": "1.0.0"
  },
  "paths": {
    "/api/ansible/generate": {
      "post": {
        "tags": [
          "Ansible"
        ],
        "summary": "Ansible role template generate",
        "operationId": "ansible_role_generate",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/ansible/test": {
      "post": {
        "tags": [
          "Ansible"
        ],
        "summary": "Ansible role testing",
        "operationId": "ansible_role_test",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/auth": {
      "post": {
        "security": [],
        "tags": [
          "Auth"
        ],
        "summary": "User authenticate",
        "operationId": "auth_sign_in",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/authRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/authResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/auth/exchange": {
      "post": {
        "security": [],
        "tags": [
          "Auth"
        ],
        "summary": "User exchange refresh token to access",
        "operationId": "auth_exchange",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/authExchangeRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/authResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/dashboard": {
      "get": {
        "tags": [
          "Dashboard"
        ],
        "summary": "Get dashboard info",
        "operationId": "dashboard_get",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/images": {
      "post": {
        "tags": [
          "Images"
        ],
        "summary": "Build image for virtual machine",
        "operationId": "image_build",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/images/{id}": {
      "get": {
        "tags": [
          "Images"
        ],
        "summary": "Get image status",
        "operationId": "image_status",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Images"
        ],
        "summary": "Stop image building",
        "operationId": "image_stop",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/networks": {
      "get": {
        "tags": [
          "Networks"
        ],
        "summary": "Get network list",
        "operationId": "vm_network_list",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "post": {
        "tags": [
          "Networks"
        ],
        "summary": "Create network",
        "operationId": "vm_network_create",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/networks/{id}": {
      "get": {
        "tags": [
          "Networks"
        ],
        "summary": "Get network",
        "operationId": "vm_network_get",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "put": {
        "tags": [
          "Networks"
        ],
        "summary": "Edit network",
        "operationId": "vm_network_edit",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Networks"
        ],
        "summary": "Delete network",
        "operationId": "vm_network_delete",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/roles": {
      "get": {
        "tags": [
          "Roles"
        ],
        "summary": "Get role list",
        "operationId": "user_role_list",
        "parameters": [
          {
            "type": "integer",
            "name": "limit",
            "in": "query"
          },
          {
            "type": "integer",
            "name": "skip",
            "in": "query"
          },
          {
            "enum": [
              -1,
              0,
              1
            ],
            "type": "integer",
            "name": "order",
            "in": "query"
          },
          {
            "enum": [
              "id",
              "name"
            ],
            "type": "string",
            "name": "sort",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "names",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/roleListResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "post": {
        "tags": [
          "Roles"
        ],
        "summary": "Create role",
        "operationId": "user_role_create",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/roles/{id}": {
      "get": {
        "tags": [
          "Roles"
        ],
        "summary": "Get role",
        "operationId": "user_role_get",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "put": {
        "tags": [
          "Roles"
        ],
        "summary": "Edit role",
        "operationId": "user_role_edit",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Roles"
        ],
        "summary": "Delete role",
        "operationId": "user_role_delete",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/users": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get user list",
        "operationId": "user_list",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/vmListResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "post": {
        "tags": [
          "Users"
        ],
        "summary": "Create user",
        "operationId": "user_create",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/users/self": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get self user",
        "operationId": "user_get_self",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/selfUserResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/users/{id}": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get user",
        "operationId": "user_get",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/getUserByIdResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "put": {
        "tags": [
          "Users"
        ],
        "summary": "Edit user",
        "operationId": "user_edit",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Users"
        ],
        "summary": "Delete user",
        "operationId": "user_delete",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/vms": {
      "get": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Get virtual machine list",
        "operationId": "vm_list",
        "parameters": [
          {
            "type": "string",
            "name": "search",
            "in": "query"
          },
          {
            "enum": [
              0,
              1,
              2
            ],
            "type": "integer",
            "default": 0,
            "description": " - 0: NONE (no type, default value)\n - 1: ON (turning on virtual machine)\n - 2: OFF (turning on virtual machine)",
            "name": "type",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int32",
            "name": "skip",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int32",
            "name": "sort",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int32",
            "name": "limit",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/vmListResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "post": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Create virtual machine",
        "operationId": "vm_create",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/vms/{id}": {
      "get": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Get virtual machine",
        "operationId": "vm_get",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "put": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Edit virtual machine",
        "operationId": "vm_edit",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Delete virtual machine",
        "operationId": "vm_delete",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    }
  },
  "definitions": {
    "authExchangeRequest": {
      "type": "object",
      "properties": {
        "token": {
          "type": "string",
          "title": "user refresh token",
          "required": [
            "token"
          ]
        }
      }
    },
    "authRequest": {
      "type": "object",
      "properties": {
        "login": {
          "type": "string",
          "title": "user nickname",
          "required": [
            "login"
          ]
        },
        "password": {
          "type": "string",
          "title": "user password",
          "required": [
            "password"
          ]
        }
      }
    },
    "authResponse": {
      "type": "object",
      "properties": {
        "access": {
          "type": "string",
          "title": "user access token for communicate server",
          "required": [
            "access"
          ]
        },
        "refresh": {
          "type": "string",
          "title": "user refresh token for update current access token",
          "required": [
            "refresh"
          ]
        }
      }
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "details": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    },
    "getUserByIdResponse": {
      "$ref": "#/definitions/user"
    },
    "role": {
      "type": "object",
      "properties": {
        "actions": {
          "type": "array",
          "title": "role action list",
          "items": {
            "description": "action name",
            "type": "string"
          }
        },
        "created_at": {
          "type": "number",
          "title": "role creation date"
        },
        "deleted_at": {
          "type": "number",
          "title": "role deletion date"
        },
        "description": {
          "type": "string",
          "title": "role description"
        },
        "id": {
          "type": "integer",
          "title": "role id"
        },
        "name": {
          "type": "string",
          "title": "role name"
        },
        "updated_at": {
          "type": "number",
          "title": "role update date"
        }
      }
    },
    "roleListRequest": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer"
        },
        "names": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "order": {
          "type": "integer",
          "enum": [
            -1,
            0,
            1
          ]
        },
        "skip": {
          "type": "integer"
        },
        "sort": {
          "type": "string",
          "enum": [
            "id",
            "name"
          ]
        }
      }
    },
    "roleListResponse": {
      "type": "object",
      "required": [
        "result"
      ],
      "properties": {
        "next": {
          "$ref": "#/definitions/roleListRequest"
        },
        "result": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/role"
          }
        }
      }
    },
    "selfUserResponse": {
      "type": "object",
      "properties": {
        "date": {
          "type": "number",
          "title": "user creation date"
        },
        "id": {
          "type": "integer",
          "title": "user id"
        },
        "login": {
          "type": "string",
          "title": "user login"
        },
        "roles": {
          "type": "array",
          "title": "user role list",
          "items": {
            "description": "role name",
            "type": "string"
          }
        }
      }
    },
    "user": {
      "type": "object",
      "required": [
        "id",
        "login",
        "date"
      ],
      "properties": {
        "date": {
          "type": "number",
          "title": "user creation date"
        },
        "id": {
          "type": "integer",
          "title": "user id"
        },
        "login": {
          "type": "string",
          "title": "user login"
        },
        "roles": {
          "type": "array",
          "title": "user role list",
          "items": {
            "description": "role name",
            "type": "string"
          }
        }
      }
    },
    "vmListResponse": {
      "type": "object",
      "properties": {
        "animated": {
          "type": "boolean",
          "format": "boolean"
        },
        "height": {
          "type": "integer",
          "format": "int32"
        },
        "uri": {
          "type": "string"
        },
        "width": {
          "type": "integer",
          "format": "int32"
        }
      }
    }
  }
}`))
	FlatSwaggerJSON = json.RawMessage([]byte(`{
  "schemes": [
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "description": "VMDAP API for manage virtual machine deployment",
    "title": "VMDAP API",
    "version": "1.0.0"
  },
  "paths": {
    "/api/ansible/generate": {
      "post": {
        "tags": [
          "Ansible"
        ],
        "summary": "Ansible role template generate",
        "operationId": "ansible_role_generate",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/ansible/test": {
      "post": {
        "tags": [
          "Ansible"
        ],
        "summary": "Ansible role testing",
        "operationId": "ansible_role_test",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/auth": {
      "post": {
        "security": [],
        "tags": [
          "Auth"
        ],
        "summary": "User authenticate",
        "operationId": "auth_sign_in",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/authRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/authResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/auth/exchange": {
      "post": {
        "security": [],
        "tags": [
          "Auth"
        ],
        "summary": "User exchange refresh token to access",
        "operationId": "auth_exchange",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/authExchangeRequest"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/authResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/dashboard": {
      "get": {
        "tags": [
          "Dashboard"
        ],
        "summary": "Get dashboard info",
        "operationId": "dashboard_get",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/images": {
      "post": {
        "tags": [
          "Images"
        ],
        "summary": "Build image for virtual machine",
        "operationId": "image_build",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/images/{id}": {
      "get": {
        "tags": [
          "Images"
        ],
        "summary": "Get image status",
        "operationId": "image_status",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Images"
        ],
        "summary": "Stop image building",
        "operationId": "image_stop",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/networks": {
      "get": {
        "tags": [
          "Networks"
        ],
        "summary": "Get network list",
        "operationId": "vm_network_list",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "post": {
        "tags": [
          "Networks"
        ],
        "summary": "Create network",
        "operationId": "vm_network_create",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/networks/{id}": {
      "get": {
        "tags": [
          "Networks"
        ],
        "summary": "Get network",
        "operationId": "vm_network_get",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "put": {
        "tags": [
          "Networks"
        ],
        "summary": "Edit network",
        "operationId": "vm_network_edit",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Networks"
        ],
        "summary": "Delete network",
        "operationId": "vm_network_delete",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/roles": {
      "get": {
        "tags": [
          "Roles"
        ],
        "summary": "Get role list",
        "operationId": "user_role_list",
        "parameters": [
          {
            "type": "integer",
            "name": "limit",
            "in": "query"
          },
          {
            "type": "integer",
            "name": "skip",
            "in": "query"
          },
          {
            "enum": [
              -1,
              0,
              1
            ],
            "type": "integer",
            "name": "order",
            "in": "query"
          },
          {
            "enum": [
              "id",
              "name"
            ],
            "type": "string",
            "name": "sort",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "names",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/roleListResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "post": {
        "tags": [
          "Roles"
        ],
        "summary": "Create role",
        "operationId": "user_role_create",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/roles/{id}": {
      "get": {
        "tags": [
          "Roles"
        ],
        "summary": "Get role",
        "operationId": "user_role_get",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "put": {
        "tags": [
          "Roles"
        ],
        "summary": "Edit role",
        "operationId": "user_role_edit",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Roles"
        ],
        "summary": "Delete role",
        "operationId": "user_role_delete",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/users": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get user list",
        "operationId": "user_list",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/vmListResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "post": {
        "tags": [
          "Users"
        ],
        "summary": "Create user",
        "operationId": "user_create",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/users/self": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get self user",
        "operationId": "user_get_self",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/selfUserResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/users/{id}": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get user",
        "operationId": "user_get",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/getUserByIdResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "put": {
        "tags": [
          "Users"
        ],
        "summary": "Edit user",
        "operationId": "user_edit",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Users"
        ],
        "summary": "Delete user",
        "operationId": "user_delete",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/vms": {
      "get": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Get virtual machine list",
        "operationId": "vm_list",
        "parameters": [
          {
            "type": "string",
            "name": "search",
            "in": "query"
          },
          {
            "enum": [
              0,
              1,
              2
            ],
            "type": "integer",
            "default": 0,
            "description": " - 0: NONE (no type, default value)\n - 1: ON (turning on virtual machine)\n - 2: OFF (turning on virtual machine)",
            "name": "type",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int32",
            "name": "skip",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int32",
            "name": "sort",
            "in": "query"
          },
          {
            "type": "integer",
            "format": "int32",
            "name": "limit",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/vmListResponse"
            }
          },
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "post": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Create virtual machine",
        "operationId": "vm_create",
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    },
    "/api/vms/{id}": {
      "get": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Get virtual machine",
        "operationId": "vm_get",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "put": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Edit virtual machine",
        "operationId": "vm_edit",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      },
      "delete": {
        "tags": [
          "Virtual machines"
        ],
        "summary": "Delete virtual machine",
        "operationId": "vm_delete",
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "default": {
            "description": "An unexpected error response",
            "schema": {
              "$ref": "#/definitions/error"
            }
          }
        }
      }
    }
  },
  "definitions": {
    "authExchangeRequest": {
      "type": "object",
      "properties": {
        "token": {
          "type": "string",
          "title": "user refresh token",
          "required": [
            "token"
          ]
        }
      }
    },
    "authRequest": {
      "type": "object",
      "properties": {
        "login": {
          "type": "string",
          "title": "user nickname",
          "required": [
            "login"
          ]
        },
        "password": {
          "type": "string",
          "title": "user password",
          "required": [
            "password"
          ]
        }
      }
    },
    "authResponse": {
      "type": "object",
      "properties": {
        "access": {
          "type": "string",
          "title": "user access token for communicate server",
          "required": [
            "access"
          ]
        },
        "refresh": {
          "type": "string",
          "title": "user refresh token for update current access token",
          "required": [
            "refresh"
          ]
        }
      }
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "details": {
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      }
    },
    "getUserByIdResponse": {
      "$ref": "#/definitions/user"
    },
    "role": {
      "type": "object",
      "properties": {
        "actions": {
          "type": "array",
          "title": "role action list",
          "items": {
            "description": "action name",
            "type": "string"
          }
        },
        "created_at": {
          "type": "number",
          "title": "role creation date"
        },
        "deleted_at": {
          "type": "number",
          "title": "role deletion date"
        },
        "description": {
          "type": "string",
          "title": "role description"
        },
        "id": {
          "type": "integer",
          "title": "role id"
        },
        "name": {
          "type": "string",
          "title": "role name"
        },
        "updated_at": {
          "type": "number",
          "title": "role update date"
        }
      }
    },
    "roleListRequest": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer"
        },
        "names": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "order": {
          "type": "integer",
          "enum": [
            -1,
            0,
            1
          ]
        },
        "skip": {
          "type": "integer"
        },
        "sort": {
          "type": "string",
          "enum": [
            "id",
            "name"
          ]
        }
      }
    },
    "roleListResponse": {
      "type": "object",
      "required": [
        "result"
      ],
      "properties": {
        "next": {
          "$ref": "#/definitions/roleListRequest"
        },
        "result": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/role"
          }
        }
      }
    },
    "selfUserResponse": {
      "type": "object",
      "properties": {
        "date": {
          "type": "number",
          "title": "user creation date"
        },
        "id": {
          "type": "integer",
          "title": "user id"
        },
        "login": {
          "type": "string",
          "title": "user login"
        },
        "roles": {
          "type": "array",
          "title": "user role list",
          "items": {
            "description": "role name",
            "type": "string"
          }
        }
      }
    },
    "user": {
      "type": "object",
      "required": [
        "id",
        "login",
        "date"
      ],
      "properties": {
        "date": {
          "type": "number",
          "title": "user creation date"
        },
        "id": {
          "type": "integer",
          "title": "user id"
        },
        "login": {
          "type": "string",
          "title": "user login"
        },
        "roles": {
          "type": "array",
          "title": "user role list",
          "items": {
            "description": "role name",
            "type": "string"
          }
        }
      }
    },
    "vmListResponse": {
      "type": "object",
      "properties": {
        "animated": {
          "type": "boolean",
          "format": "boolean"
        },
        "height": {
          "type": "integer",
          "format": "int32"
        },
        "uri": {
          "type": "string"
        },
        "width": {
          "type": "integer",
          "format": "int32"
        }
      }
    }
  }
}`))
}
